<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$codigo_grupo=$academia->escapar($_GET["cdgr"]);
$periodo=$academia->escapar($_GET["per_calif"]);
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}
	




$consulta="SELECT aca_notasxdes.nota_definitiva_numeros, LOWER(aca_asignaturas.nom_asi) as nom_asi, aca_estxasigxgrupos.cod_estudiante, aca_detalles_escalas.nota_max, aca_detalles_escalas.aprueba, LOWER(CONCAT_WS(' ',aca_estudiantes.apellido1_est,aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS estudiante FROM aca_notasxdes INNER JOIN aca_estxasigxgrupos ON (aca_notasxdes.cod_estxasigxgrupos = aca_estxasigxgrupos.cod_estxasigxgrupos) INNER JOIN aca_asignaturasxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) INNER JOIN aca_escalas ON (aca_asignaturasxgrupos.id_escala = aca_escalas.id_escala) INNER JOIN aca_detalles_escalas ON (aca_detalles_escalas.id_escala = aca_escalas.id_escala) INNER JOIN aca_estudiantes ON (aca_estxasigxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante) WHERE (aca_asignaturasxgrupos.cod_grupo =$codigo_grupo AND aca_notasxdes.periodo_calif =$periodo AND aca_notasxdes.nota_definitiva_numeros<=aca_detalles_escalas.nota_max AND aca_detalles_escalas.aprueba='N' AND UCASE(aca_asignaturas.nom_asi) NOT LIKE '%DISCIPLINA%') ORDER BY estudiante"; 	
	
	
/*SELECT aca_notasxdes.nota_definitiva_numeros, aca_asignaturas.nom_asi, aca_estxasigxgrupos.cod_estudiante, aca_notasxdes.periodo_calif, aca_notasxdes.nota_definitiva_numeros, aca_detalles_escalas.nota_max, aca_detalles_escalas.aprueba, LOWER(CONCAT_WS(" ",aca_estudiantes.apellido1_est,aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS estudiante FROM aca_notasxdes INNER JOIN aca_estxasigxgrupos ON (aca_notasxdes.cod_estxasigxgrupos = aca_estxasigxgrupos.cod_estxasigxgrupos) INNER JOIN aca_asignaturasxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) INNER JOIN aca_escalas ON (aca_asignaturasxgrupos.id_escala = aca_escalas.id_escala) INNER JOIN aca_detalles_escalas ON (aca_detalles_escalas.id_escala = aca_escalas.id_escala) INNER JOIN aca_estudiantes ON (aca_estxasigxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante) WHERE (aca_asignaturasxgrupos.cod_grupo =4 AND aca_notasxdes.periodo_calif =1 AND aca_notasxdes.nota_definitiva_numeros<=aca_detalles_escalas.nota_max AND aca_detalles_escalas.aprueba='N' AND UCASE(aca_asignaturas.nom_asi) NOT LIKE "%DISCIPLINA%") ORDER BY estudiante;	*/

$academia->instruccion($consulta);
$i=0;
$responce = array();
$responce['sql']=$consulta;
$mayus_nom=$sesion->getVar('configuracion.format_nom');
$mayus_mat=$sesion->getVar('configuracion.format_mat');
while($row = $academia->extraer_registro()) {
	$responce['rows'][$i]['id']=$i;
	$responce['rows'][$i]['cell']=array(
		formatoPalabras($row['estudiante'],$mayus_nom),
		formatoPalabras($row['nom_asi'],$mayus_mat),
		$row['nota_definitiva_numeros'],
		$row['aprueba'],
	);
    $i++;
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        